Index: appendices/acknowledgments.xml
===================================================================
--- appendices/acknowledgments.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ appendices/acknowledgments.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -90,5 +90,11 @@
       <para><ulink url="mailto:lizardo@linuxfromscratch.org">Anderson
       Lizardo</ulink> &lt;lizardo@linuxfromscratch.org&gt; &ndash;
-      Portuguese LFS translation project</para>
+      Portuguese LFS translation project historical</para>
+    </listitem>
+
+    <listitem>
+      <para><ulink url="mailto:jafesp@gmail.com">Jamenson
+      Espindula</ulink> &lt;jafesp@gmail.com&gt; &ndash;
+      Portuguese LFS translation project 2022-present</para>
     </listitem>
 
Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ appendices/dependencies.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -1515,7 +1515,9 @@
         <seglistitem>
           <seg>
-            <ulink url="&blfs-book;server/db.html">Berkeley DB</ulink>
-            and
-            <ulink url="&blfs-book;postlfs/iptables.html">iptables</ulink>
+            <ulink url="&blfs-book;server/db.html">Berkeley DB</ulink>,
+            <ulink url="&blfs-book;postlfs/iptables.html">iptables</ulink>,
+            <ulink url="https://github.com/libbpf/libbpf">libbpf</ulink>,
+            <ulink url="&blfs-book;basicnet/libmnl.html">libmnl</ulink>, and
+            <ulink url="&blfs-book;basicnet/libtirpc.html">libtirpc</ulink>
           </seg>
         </seglistitem>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter01/changelog.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -40,4 +40,38 @@
     appropriate for the entry or if needed the entire day's listitem.
     -->
+    <listitem>
+      <para>2023-04-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vim-9.0.1452.  Addresses
+          <ulink url='&lfs-ticket-root;4500'>#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20230405.  Addresses
+          <ulink url='&lfs-ticket-root;5006'>#5006</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to zstd-1.5.5. Fixes
+          <ulink url='&lfs-ticket-root;5239'>#5239</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Python-3.11.3. Fixes
+          <ulink url='&lfs-ticket-root;5240'>#5240</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-1.1.0. Fixes
+          <ulink url='&lfs-ticket-root;5242'>#5242</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-6.04. Fixes
+          <ulink url='&lfs-ticket-root;5238'>#5238</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-6.2.11. Fixes
+          <ulink url='&lfs-ticket-root;5241'>#5241</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2023-03-31</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter01/whatsnew.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -185,7 +185,7 @@
       <para>Man-DB-&man-db-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Man-pages-&man-pages-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="systemd">
       <para>MarkupSafe-&markupsafe-version;</para>
@@ -224,7 +224,7 @@
       <para>Psmisc-&psmisc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Python-&python-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Readline-&readline-version;</para>
@@ -260,7 +260,7 @@
       <para>Util-Linux-&util-linux-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Vim-&vim-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>wheel-&wheel-version;</para>
@@ -275,7 +275,7 @@
       <para>Zlib-&zlib-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Zstd-&zstd-version;</para>
-    </listitem>-->
+    </listitem>
   </itemizedlist>
 
Index: chapter07/perl.xml
===================================================================
--- chapter07/perl.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter07/perl.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -49,4 +49,5 @@
              -Dprefix=/usr                               \
              -Dvendorprefix=/usr                         \
+             -Duseshrplib                                \
              -Dprivlib=/usr/lib/perl5/&perl-version-min;/core_perl     \
              -Darchlib=/usr/lib/perl5/&perl-version-min;/core_perl     \
Index: chapter08/dbus.xml
===================================================================
--- chapter08/dbus.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter08/dbus.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -80,8 +80,12 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>This package does come with a test suite, but it requires several
+    <para>To test the results, issue:</para>
+
+<screen><userinput remap="test">make check</userinput></screen>
+
+    <para>Many tests are disabled because they require additional
     packages that are not included in LFS. Instructions for running the
-    test suite can be found in the BLFS book at
-    <ulink url="&blfs-book;general/dbus.html"/>.</para>
+    comprehensive test suite can be found in
+    <ulink url="&blfs-book;general/dbus.html">the BLFS book</ulink>.</para>
 
     <para>Install the package:</para>
@@ -108,5 +112,5 @@
         dbus-run-session, dbus-send, dbus-test-tool,
         dbus-update-activation-environment, and dbus-uuidgen</seg>
-        <seg>libdbus-1.{a,so}</seg>
+        <seg>libdbus-1.so</seg>
         <seg>/etc/dbus-1, /usr/include/dbus-1.0, /usr/lib/dbus-1.0,
         /usr/share/dbus-1, /usr/share/doc/dbus-&dbus-version;,
Index: chapter08/eudev.xml
===================================================================
--- chapter08/eudev.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter08/eudev.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -40,6 +40,4 @@
   <sect2 role="installation">
     <title>Installation of Eudev</title>
-
-    
 
     <para>First fix the location of udev rules in the .pc file:</para>
@@ -88,4 +86,18 @@
       <secondary>configuring</secondary>
     </indexterm>
+
+    <indexterm zone="conf-eudev">
+      <primary sortas="e-/etc/udev/rules.d/65-kvm.rules">/etc/udev/rules.d/65-kvm.rules</primary>
+    </indexterm>
+
+    <para>
+      The default udev rule installed by Eudev would allow all users to
+      access <filename class='devicefile'>/dev/kvm</filename>.  The editors
+      consider it dangerous.  Create a configuration file to override it:
+    </para>
+
+<screen><userinput remap="configure">cat > /etc/udev/rules.d/65-kvm.rules &lt;&lt; "EOF"
+<literal>KERNEL=="kvm", GROUP="kvm", MODE="0660", TAG+="uaccess"</literal>
+EOF</userinput></screen>
 
     <indexterm zone="conf-eudev">
Index: chapter08/glibc.xml
===================================================================
--- chapter08/glibc.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter08/glibc.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -779,5 +779,7 @@
         <term><filename class="libraryfile">libanl</filename></term>
         <listitem>
-          <para>An asynchronous name lookup library</para>
+          <para>Dummy library containing no functions.  Previously was the
+          asynchronous name lookup library, whose functions are now in
+          <filename class='libraryfile'>libc</filename></para>
           <indexterm zone="ch-system-glibc libanl">
             <primary sortas="c-libanl">libanl</primary>
@@ -920,6 +922,7 @@
           <para>Dummy library containing no functions. Previously contained
           functions providing most of the interfaces specified
-          by the POSIX.1b Realtime Extension, now the functions are in
-          <filename class="libraryfile">libc</filename></para>
+          by the POSIX.1c Threads Extensions and the semaphore interfaces
+          specified by the POSIX.1b Real-time Extensions, now the functions
+          are in <filename class="libraryfile">libc</filename></para>
           <indexterm zone="ch-system-glibc libpthread">
             <primary sortas="c-libpthread">libpthread</primary>
@@ -943,5 +946,5 @@
         <listitem>
           <para>Contains functions providing most of the interfaces specified
-          by the POSIX.1b Realtime Extension</para>
+          by the POSIX.1b Real-time Extensions</para>
           <indexterm zone="ch-system-glibc librt">
             <primary sortas="c-librt">librt</primary>
Index: chapter08/groff.xml
===================================================================
--- chapter08/groff.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter08/groff.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -169,5 +169,5 @@
         <term><command>gperl</command></term>
         <listitem>
-          <para>Preprocesor for groff, allowing the insertion of perl code
+          <para>Preprocessor for groff, allowing the insertion of perl code
           into groff files</para>
           <indexterm zone="ch-system-groff gperl">
@@ -180,5 +180,5 @@
         <term><command>gpinyin</command></term>
         <listitem>
-          <para>Preprocesor for groff, allowing the insertion of Pinyin
+          <para>Preprocessor for groff, allowing the insertion of Pinyin
           (Mandarin Chinese spelled with the Roman alphabet) into groff files.</para>
           <indexterm zone="ch-system-groff gpinyin">
Index: chapter08/libelf.xml
===================================================================
--- chapter08/libelf.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter08/libelf.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -76,5 +76,5 @@
       <seglistitem>
         <seg>
-          libelf.so (symlink) and libelf-&elfutils-version;.so
+          libelf.so 
         </seg>
         <seg>
@@ -91,5 +91,5 @@
 
       <varlistentry id="libelf">
-        <term><filename class="libraryfile">libelf</filename></term>
+        <term><filename class="libraryfile">libelf.so</filename></term>
         <listitem>
           <para>Contains API functions to handle ELF object files</para>
Index: chapter08/openssl.xml
===================================================================
--- chapter08/openssl.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter08/openssl.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -66,8 +66,11 @@
 <screen><userinput remap="test">make test</userinput></screen>
 
-    <para>One test, 30-test_afalg.t, is known to fail on some kernel
-    configurations (depending on inconsistent values of
-    CONFIG_CRYPTO_USER_API* settings.) If it fails, it can safely be
-    ignored.</para>
+    <para>One test, 30-test_afalg.t, is known to fail if the host kernel
+    does not have <option>CONFIG_CRYPTO_USER_API_SKCIPHER</option> enabled,
+    or does not have any options providing an AES with CBC implementation
+    (for example, the combination of <option>CONFIG_CRYPTO_AES</option>
+    and <option>CONFIG_CRYPTO_CBC</option>, or
+    <option>CONFIG_CRYPTO_AES_NI_INTEL</option> if the CPU supports AES-NI)
+    enabled.  If it fails, it can safely be ignored.</para>
 
     <para>Install the package:</para>
Index: chapter08/systemd.xml
===================================================================
--- chapter08/systemd.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter08/systemd.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -67,4 +67,5 @@
       -Dmode=release                \
       -Dpamconfdir=no               \
+      -Ddev-kvm-mode=0660           \
       -Ddocdir=/usr/share/doc/systemd-&systemd-version; \
       ..</userinput></screen>
@@ -166,4 +167,13 @@
           <para>Prevent the installation of a PAM configuration file not
           functional on LFS.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>-Ddev-kvm-mode=0660</parameter></term>
+        <listitem>
+          <para>The default udev rule would allow all users to access
+          <filename class='devicefile'>/dev/kvm</filename>.  The editors
+          consider it dangerous.  This option overrides it.</para>
         </listitem>
       </varlistentry>
Index: chapter08/util-linux.xml
===================================================================
--- chapter08/util-linux.xml	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ chapter08/util-linux.xml	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -102,5 +102,9 @@
 
     <para>The <emphasis>hardlink</emphasis> tests will fail if the host's kernel
-    does not have the option CONFIG_CRYPTO_USER_API_HASH set. In addition,
+    does not have the option <option>CONFIG_CRYPTO_USER_API_HASH</option>
+    enabled or does not have any options providing a SHA256 implementation
+    (for example, <option>CONFIG_CRYPTO_SHA256</option>, or
+    <option>CONFIG_CRYPTO_SHA256_SSSE3</option> if the CPU supports
+    Supplemental SSE3) enabled. In addition,
     two sub-tests from misc: mbsencode and one sub-test from script: replay are 
     known to fail.</para>
Index: lfs-latest-git.php
===================================================================
--- lfs-latest-git.php	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ lfs-latest-git.php	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -104,6 +104,6 @@
   $lines = http_get_file( $dirpath );
 
-  $regex_match   = "#${prefix}[\d\.]+/#";
-  $regex_replace = "#^.*(${prefix}[\d\.]+)/.*$#";
+  $regex_match   = "#{$prefix}[\d\.]+/#";
+  $regex_replace = "#^.*({$prefix}[\d\.]+)/.*$#";
   $max           = find_max( $lines, $regex_match, $regex_replace );
 
@@ -127,4 +127,5 @@
 if ( $package == "file"       ) $dirpath = "https://github.com/file/file/tags";
 if ( $package == "flex"       ) $dirpath = "https://github.com/westes/flex/releases";
+if ( $package == "flit_core"  ) $dirpath = "https://pypi.org/project/flit-core/";
 if ( $package == "gcc"        ) $dirpath = max_parent( $dirpath, "gcc-" );
 if ( $package == "iana-etc"   ) $dirpath = "https://github.com/Mic92/iana-etc/releases";
@@ -309,4 +310,7 @@
      return find_max( $lines, "/v\d/", "/^.*v([\d\.]+)$/" );
 
+  if ( $package == "flit_core" )
+     return find_max( $lines, "/flit-core /", "/^.*flit-core ([\d\.]+)$/" );
+
   if ( $package == "procps-ng" )
      return find_max( $lines, "/v\d/", "/^.*v([\d\.]+)$/" );
@@ -504,5 +508,5 @@
       $v    = get_packages( $pkg, $dir );
       $flag = ( $vers[ $pkg ] != $v ) ? "*" : "";
-      echo "<tr><td>$pkg</td> <td>${vers[ $pkg ]}</td> <td>$v</td> <td>$flag</td></tr>\n";
+      echo "<tr><td>$pkg</td> <td>{$vers[ $pkg ]}</td> <td>$v</td> <td>$flag</td></tr>\n";
    }
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 39d9ed85db027a88b9c60d2ce5350811fa1d53d2)
+++ packages.ent	(revision 7a570bdf8e1f445fa64d45ff85892145d345ef37)
@@ -328,8 +328,8 @@
 <!ENTITY gzip-fin-sbu "0.3 SBU">
 
-<!ENTITY iana-etc-version "20230306">
+<!ENTITY iana-etc-version "20230405">
 <!ENTITY iana-etc-size "587 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "b25ebfa2a9ae359a64abaa8331347505">
+<!ENTITY iana-etc-md5 "c8931836fa045c98b3a4eefdd911d54c">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.8 MB">
@@ -437,10 +437,10 @@
 <!ENTITY linux-major-version "6">
 <!ENTITY linux-minor-version "2">
-<!ENTITY linux-patch-version "9">
+<!ENTITY linux-patch-version "11">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "133,256 KB">
+<!ENTITY linux-size "133,276 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "f54e2a251b1abd5b56e46ed0de569275">
+<!ENTITY linux-md5 "78d3ab3a52fe283aabca27dad4005d07">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -483,8 +483,8 @@
 <!ENTITY man-db-fin-sbu "0.2 SBU">
 
-<!ENTITY man-pages-version "6.03">
-<!ENTITY man-pages-size "2,134 KB">
+<!ENTITY man-pages-version "6.04">
+<!ENTITY man-pages-size "2,137 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "c62b7c944bb0887a35edab7cab301357">
+<!ENTITY man-pages-md5 "bbce1456edfa75a66c189cc594af6c4d">
 <!ENTITY man-pages-home "https://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-fin-du "32 MB">
@@ -499,8 +499,8 @@
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "1.0.1">
-<!ENTITY meson-size "2,056 KB">
+<!ENTITY meson-version "1.1.0">
+<!ENTITY meson-size "2,075 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "843ba549bb2a199d9e04092116a7e749">
+<!ENTITY meson-md5 "94ea898bcf799470878e60809be80467">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "41 MB">
@@ -600,9 +600,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.11.2">
+<!ENTITY python-version "3.11.3">
 <!ENTITY python-minor "3.11">
-<!ENTITY python-size "19,428 KB">
+<!ENTITY python-size "19,440 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "a957cffb58a89303b62124896881950b">
+<!ENTITY python-md5 "c8d52fc4fb8ad9932a11d86d142ee73a">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "529 MB">
@@ -611,6 +611,6 @@
 <!ENTITY python-fin-sbu "2.0 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "eb4132c780b60b5782a4f66b29b08d5c">
-<!ENTITY python-docs-size "7,598 KB">
+<!ENTITY python-docs-md5 "7a1fc1824f7c96e779ef35fe10dde120">
+<!ENTITY python-docs-size "7,597 KB">
 
 <!ENTITY readline-version "8.2">
@@ -732,11 +732,11 @@
 <!ENTITY mount-setsid-sbu "less than 0.1 SBU">
 
-<!ENTITY vim-version "9.0.1273">
+<!ENTITY vim-version "9.0.1452">
 <!-- <!ENTITY vim-majmin "90"> -->
 <!ENTITY vim-docdir "vim/vim90">
-<!ENTITY vim-size "10,892 KB">
+<!ENTITY vim-size "10,585 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
-<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.xz">
-<!ENTITY vim-md5 "9c80755d2d95ec4ef713f66e57671797">
+<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
+<!ENTITY vim-md5 "dccf279f33a1df7e4e81941f38306de3">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "235 MB">
@@ -777,8 +777,8 @@
 <!ENTITY zlib-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY zstd-version "1.5.4">
-<!ENTITY zstd-size "2,111 KB">
+<!ENTITY zstd-version "1.5.5">
+<!ENTITY zstd-size "2,314 KB">
 <!ENTITY zstd-url "https://github.com/facebook/zstd/releases/download/v&zstd-version;/zstd-&zstd-version;.tar.gz">
-<!ENTITY zstd-md5 "2352b1f9ccc7446641046bb3d440c3ed">
+<!ENTITY zstd-md5 "63251602329a106220e0a5ad26ba656f">
 <!ENTITY zstd-home "https://facebook.github.io/zstd/">
 <!ENTITY zstd-fin-du "75 MB">