Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 4fd9716e1563b70f149b53f0bd22a4aced1115c9)
+++ chapter01/changelog.xml	(revision 8d9485780f3d85ab5e3eb31ba4d2c4bb91dacad9)
@@ -41,710 +41,8 @@
     -->
     <listitem>
-      <para>2023-02-19</para>
+      <para>2023-03-01</para>
       <itemizedlist>
         <listitem>
-          <para>[xry111] - Apply a patch for GRUB for an issue triggered
-          with e2fsprogs-1.47.0.  Fixes
-          <ulink url="&lfs-ticket-root;5219">#5219</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2023-02-13</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to man-pages-6.03. Fixes
-          <ulink url="&lfs-ticket-root;5216">#5216</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2023-02-11</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to iana-etc-20230202. Addresses 
-          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to zstd-1.5.4. Fixes
-          <ulink url="&lfs-ticket-root;5215">#5215</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to Python3-3.11.2. Fixes
-          <ulink url="&lfs-ticket-root;5214">#5214</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to e2fsprogs-1.47.0. Fixes
-          <ulink url="&lfs-ticket-root;5213">#5213</ulink>.</para>
-        </listitem>
-        <listitem revision="systemd">
-          <para>[bdubbs] - Update to dbus-1.14.6. Fixes
-          <ulink url="&lfs-ticket-root;5212">#5212</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.1.11. Fixes
-          <ulink url="&lfs-ticket-root;5210">#5210</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to libcap-2.67. Fixes
-          <ulink url="&lfs-ticket-root;5209">#5209</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to bc-6.2.4. Fixes
-          <ulink url="&lfs-ticket-root;5207">#5207</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2023-02-07</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Update to OpenSSL-3.0.8 (Security Update). Fixes
-          <ulink url="&lfs-ticket-root;5211">#5211</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[renodr] - Update to e2fsprogs-1.46.6 (Security Update). Fixes
-          <ulink url="&lfs-ticket-root;5208">#5208</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>2023-02-06</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Repackage the systemd man pages to prevent stray
-          man pages from ending up in /usr/share/man.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2023-02-02</para>
-      <itemizedlist>
-        <listitem>
-          <para>[xry111] - Update to glibc-2.37.  Fixes
-          <ulink url="&lfs-ticket-root;5203">#5203</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[xry111] - Update to bc-6.2.3. Fixes
-          <ulink url="&lfs-ticket-root;5204">#5204</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[xry111] - Update to linux-6.1.9. Fixes
-          <ulink url="&lfs-ticket-root;5205">#5205</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[xry111] - Update to vim-9.0.1273. Addresses
-          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[xry111] - Remove
-          <option>--disable-exec-static-tramp</option> for libffi.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2023-02-01</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to texinfo-7.0.2. Fixes
-          <ulink url="&lfs-ticket-root;5202">#5202</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.1.8. Fixes
-          <ulink url="&lfs-ticket-root;5201">#5201</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to diffutils-3.9. Fixes
-          <ulink url="&lfs-ticket-root;5199">#5199</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>2023-01-22</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to MarkupSafe-2.1.2. Fixes
-          <ulink url="&lfs-ticket-root;5200">#5200</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2023-01-15</para>
-      <itemizedlist>
-        <listitem>
-          <para>[thomas] - Add libsframe to online_usrlib in stripping.
-            libsframe.so.0.0.0 is in use by strip.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to iana-etc-20230109. Addresses 
-          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to binutils-2.40. Fixes
-          <ulink url="&lfs-ticket-root;5198">#5198</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to bc-6.2.2. Fixes
-          <ulink url="&lfs-ticket-root;5192">#5192</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.1.6. Fixes
-          <ulink url="&lfs-ticket-root;5193">#5193</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to man-db-2.11.2. Fixes
-          <ulink url="&lfs-ticket-root;5196">#5196</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to mpfr-4.2.0. Fixes
-          <ulink url="&lfs-ticket-root;5195">#5195</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to ncurses-6.4. Fixes
-          <ulink url="&lfs-ticket-root;5194">#5194</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to xz-5.4.1. Fixes
-          <ulink url="&lfs-ticket-root;5197">#5197</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2023-01-01</para><!-- Happy New Year! -->
-      <itemizedlist>
-        <listitem>
-          <para>[thomas] - Remove an obsolete sed from mpc.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-12-31</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to iana-etc-20221220. Addresses 
-          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
-        </listitem>
-        <listitem revision="sysv">
-          <para>[bdubbs] - Update to sysvinit-3.06. Fixes
-          <ulink url="&lfs-ticket-root;5186">#5186</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to mpc-1.3.1. Fixes
-          <ulink url="&lfs-ticket-root;5185">#5185</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to meson-1.0.0. Fixes
-          <ulink url="&lfs-ticket-root;5190">#5190</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to man-pages-6.02. Fixes
-          <ulink url="&lfs-ticket-root;5188">#5188</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.1.1. Fixes
-          <ulink url="&lfs-ticket-root;5179">#5179</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to file-5.44. Fixes
-          <ulink url="&lfs-ticket-root;5191">#5191</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to bc-6.2.1. Fixes
-          <ulink url="&lfs-ticket-root;5189">#5189</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>2022-12-28</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Patch systemd against CVE-2022-4415. Fixes
-          <ulink url="&lfs-ticket-root;5187">#5187</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-12-15</para>
-      <itemizedlist>
-        <listitem>
-           <para>[bdubbs] - Ensure a gawk hard link is updated in 
-           Chapter 8. Fixes
-          <ulink url="&lfs-ticket-root;5180">#5180</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to iana-etc-20221209. Addresses 
-          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to vim-9.0.1060. Addresses
-          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to iproute2-6.1.0. Fixes
-          <ulink url="&lfs-ticket-root;5184">#5184</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to xz-5.4.0. Fixes
-          <ulink url="&lfs-ticket-root;5183">#5183</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to bash-5.2.15. Fixes
-          <ulink url="&lfs-ticket-root;5182">#5182</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to psmisc-23.6. Fixes
-          <ulink url="&lfs-ticket-root;5181">#5181</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to mpc-1.3.0. Fixes
-          <ulink url="&lfs-ticket-root;5178">#5178</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to python3-3.11.1. Fixes
-          <ulink url="&lfs-ticket-root;5177">#5177</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to procps-ng-4.0.2. Fixes
-          <ulink url="&lfs-ticket-root;5176">#5176</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-12-01</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.0.11 (Security update). Fixes
-          <ulink url="&lfs-ticket-root;5175">#5175</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-12-01</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to iana-etc-20221122. Addresses
-          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to xz-5.2.9. Fixes
-          <ulink url="&lfs-ticket-root;5174">#5174</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tzdata-2022g. Fixes
-          <ulink url="&lfs-ticket-root;5172">#5172</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to texinfo-7.0.1. Fixes
-          <ulink url="&lfs-ticket-root;5173">#5173</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tcl-8.6.13. Fixes
-          <ulink url="&lfs-ticket-root;5170">#5170</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to meson-0.64.1. Fixes
-          <ulink url="&lfs-ticket-root;5169">#5169</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.0.10. Fixes
-          <ulink url="&lfs-ticket-root;5171">#5171</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to gawk-5.2.1. Fixes
-          <ulink url="&lfs-ticket-root;5168">#5168</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-11-22</para>
-      <itemizedlist>
-        <listitem>
-          <para>[xry111] - Update to linux-6.0.9. Fixes
-          <ulink url="&lfs-ticket-root;5162">#5162</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[xry111] - Update to libpipeline-1.5.7. Fixes
-          <ulink url="&lfs-ticket-root;5163">#5163</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[xry111] - Update to xz-5.2.8. Fixes
-          <ulink url="&lfs-ticket-root;5164">#5164</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[xry111] - Update to man-db-2.11.1. Fixes
-          <ulink url="&lfs-ticket-root;5166">#5166</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[xry111] - Update to mpfr-4.1.1. Fixes
-          <ulink url="&lfs-ticket-root;5167">#5167</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[xry111] - Stop disabling decimal float for temporary GCC,
-          so mpfr will be built with decimal float support.</para>
-        </listitem>
-        <listitem>
-          <para>[xry111] - Update instruction for wheel to avoid relying on
-          deprecated Python features.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-11-10</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Fix make-4.4 bug. Fixes
-          <ulink url="&lfs-ticket-root;5160">#5160</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to wheel-0.38.4 (Python Module). Fixes
-          <ulink url="&lfs-ticket-root;5155">#5155</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to texinfo-7.0. Fixes
-          <ulink url="&lfs-ticket-root;5159">#5159</ulink>.</para>
-        </listitem>
-        <listitem revision="sysv">
-          <para>[bdubbs] - Update to sysvinit-3.05. Fixes
-          <ulink url="&lfs-ticket-root;5153">#5153</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to shadow-4.13. Fixes
-          <ulink url="&lfs-ticket-root;5161">#5161</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to sed-4.9. Fixes
-          <ulink url="&lfs-ticket-root;5157">#5157</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to meson-0.64.0. Fixes
-          <ulink url="&lfs-ticket-root;5156">#5156</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.0.7. Fixes
-          <ulink url="&lfs-ticket-root;5154">#5154</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to elfutils-0.188. Fixes
-          <ulink url="&lfs-ticket-root;5152">#5152</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to bc-6.1.1. Fixes
-          <ulink url="&lfs-ticket-root;5151">#5151</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to bash-5.2.9. Fixes
-          <ulink url="&lfs-ticket-root;5158">#5158</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem revision="systemd">
-      <para>2022-11-03</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Update to systemd-252. Fixes
-          <ulink url="&lfs-ticket-root;5150">#5150</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-11-01</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to openssl-3.0.7 (Security update). Fixes
-          <ulink url="&lfs-ticket-root;5132">#5132</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to iana-etc-20221025. Addresses
-          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tzdata-2022f. Fixes
-          <ulink url="&lfs-ticket-root;5148">#5148</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to Python3-3.11.0. Fixes
-          <ulink url="&lfs-ticket-root;5145">#5145</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to procps-ng-4.0.1. Fixes
-          <ulink url="&lfs-ticket-root;5141">#5141</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to man-pages-6.01. Fixes
-          <ulink url="&lfs-ticket-root;5140">#5140</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to man-db-2.11.0. Fixes
-          <ulink url="&lfs-ticket-root;5139">#5139</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to make-4.4. Fixes
-          <ulink url="&lfs-ticket-root;5149">#5149</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.0.6. Fixes
-          <ulink url="&lfs-ticket-root;5142">#5142</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to libffi-3.4.4. Fixes
-          <ulink url="&lfs-ticket-root;5144">#5144</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to inetutils-2.4. Fixes
-          <ulink url="&lfs-ticket-root;5147">#5147</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to expat-2.5.0. Fixes
-          <ulink url="&lfs-ticket-root;5132">#5132</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-10-17</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.0.2 (Security update). Fixes
-          <ulink url="&lfs-ticket-root;5138">#5138</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-10-15</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to iana-etc-20221007. Addresses
-          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to vim-9.0.0739. Addresses
-          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Add upstream patches to readline and bash. Fixes
-          <ulink url="&lfs-ticket-root;5135">#5131</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to zlib-1.2.13. Fixes
-          <ulink url="&lfs-ticket-root;5137">#5137</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to man-pages-6.00. Fixes
-          <ulink url="&lfs-ticket-root;5136">#5136</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to gettext-0.21.1. Fixes
-          <ulink url="&lfs-ticket-root;5130">#5130</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to iproute2-6.0.0. Fixes
-          <ulink url="&lfs-ticket-root;5127">#5127</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to meson-0.63.3. Fixes
-          <ulink url="&lfs-ticket-root;5129">#5129</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to Python-3.10.8. Fixes
-          <ulink url="&lfs-ticket-root;5133">#5133</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to xz-5.2.7. Fixes
-          <ulink url="&lfs-ticket-root;5133">#5133</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tzdata-2022e. Fixes
-          <ulink url="&lfs-ticket-root;5119">#5134</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-6.0.1. Fixes
-          <ulink url="&lfs-ticket-root;5135">#5135</ulink>.</para>
-        </listitem>
-        <listitem revision="systemd">
-          <para>[bdubbs] - Update to dbus-1.14.4. Fixes
-          <ulink url="&lfs-ticket-root;5128">#5128</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-10-04</para>
-      <itemizedlist>
-        <listitem>
-          <para>[renodr] - Update to Linux-5.19.13. If you are using an Intel
-          GPU on a laptop, please update from Linux-5.19.12 immediately to
-          prevent damage to your display. Fixes
-          <ulink url="&lfs-ticket-root;5125">#5125</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-10-01</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to iana-etc-20220922. Addresses
-          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to tzdata-2022d. Fixes
-          <ulink url="&lfs-ticket-root;5119">#5119</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to readline-8.2. Fixes
-          <ulink url="&lfs-ticket-root;5121">#5121</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-5.19.12. Fixes
-          <ulink url="&lfs-ticket-root;5115">#5115</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to libffi-3.4.3. Fixes
-          <ulink url="&lfs-ticket-root;5116">#5116</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to libcap-2.66. Fixes
-          <ulink url="&lfs-ticket-root;5120">#5120</ulink>.</para>
-        </listitem>
-        <listitem revision="systemd">
-          <para>[bdubbs] - Update to dbus-1.14.2. Fixes
-          <ulink url="&lfs-ticket-root;5123">#5123</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to bc-6.0.4. Fixes
-          <ulink url="&lfs-ticket-root;5114">#5114</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to bash-5.2. Fixes
-          <ulink url="&lfs-ticket-root;5122">#5122</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-09-22</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to expat-2.4.9 (Security Update). Fixes
-          <ulink url="&lfs-ticket-root;5117">#5117</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-09-20</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Adapt instructions depending on
-          host setup of /dev/shm when creating virtual filesystems
-          for chroot.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-09-15</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to file-5.43. Fixes
-          <ulink url="&lfs-ticket-root;5113">#5113</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-5.19.8. Fixes
-          <ulink url="&lfs-ticket-root;5111">#5111</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to gawk-5.2.0. Fixes
-          <ulink url="&lfs-ticket-root;5108">#5108</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to meson-0.63.2. Fixes
-          <ulink url="&lfs-ticket-root;5106">#5106</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to ninja-1.11.1. Fixes
-          <ulink url="&lfs-ticket-root;5103">#5103</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to bc-6.0.2. Fixes
-          <ulink url="&lfs-ticket-root;5102">#5102</ulink>.</para>
-        </listitem>
-        <listitem revision="sysv">
-          <para>[bdubbs] - Fix the location of udev rules in eudev.  Fixes 
-          <ulink url="&lfs-ticket-root;5112">#5112</ulink>.</para>
-        </listitem>
-        <listitem>
-           <para>[bdubbs] - Remove a warning for egrep and fgrep that
-           makes tests for some packages fail.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Delete an empty binutils man page.  Fixes 
-          <ulink url="&lfs-ticket-root;5100">#5100</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-09-10</para>
-      <itemizedlist>
-        <listitem>
-          <para>[pierre] - Add <option>--enable-default-pie</option> and
-          <option>--enable-default-ssp</option> to GCC build. Rationale
-          and some reports at
-          <ulink url="&lfs-ticket-root;5107">#5107</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-09-07</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - Update to shadow-4.12.3. Fixes
-          <ulink url="&lfs-ticket-root;5101">#5101</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to Python3-3.10.7. Fixes
-          <ulink url="&lfs-ticket-root;5109">#5109</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to linux-5.19.7. Fixes
-          <ulink url="&lfs-ticket-root;5099">#5099</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to less-608. Fixes
-          <ulink url="&lfs-ticket-root;5104">#5104</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[bdubbs] - Update to grep-3.8. Fixes
-          <ulink url="&lfs-ticket-root;5105">#5105</ulink>.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>2022-09-01</para>
-      <itemizedlist>
-        <listitem>
-          <para>[bdubbs] - LFS-11.2 released.</para>
+          <para>[bdubbs] - LFS-11.3 released.</para>
         </listitem>
       </itemizedlist>
Index: chapter02/hostreqs.xml
===================================================================
--- chapter02/hostreqs.xml	(revision 4fd9716e1563b70f149b53f0bd22a4aced1115c9)
+++ chapter02/hostreqs.xml	(revision 8d9485780f3d85ab5e3eb31ba4d2c4bb91dacad9)
@@ -73,5 +73,5 @@
 
     <listitem>
-      <para><emphasis role="strong">GCC-4.8</emphasis> including the C++
+      <para><emphasis role="strong">GCC-5.1</emphasis> including the C++
       compiler, <command>g++</command> (Versions greater than &gcc-version; are
       not recommended as they have not been tested). C and C++ standard
@@ -95,6 +95,5 @@
       <xref linkend="chapter-cross-tools"/> and
       <xref linkend="chapter-building-system"/>,
-      at the recommendation of the developers.  It is also required by
-      udev.</para>
+      at the recommendation of the developers.</para>
 
       <para>If the host kernel is earlier than &min-kernel; you will need to replace