Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter01/changelog.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -43,4 +43,7 @@
           <para>[manuel] - Placed home page (when available) and full download
           links for all packages in chapter03/packages.xml.</para>
+        </listitem>
+        <listitem>
+          <para>[jhuntwork] - Merged alphabetical branch to trunk.</para>
         </listitem>
       </itemizedlist>
@@ -67,9 +70,9 @@
         <listitem>
           <para>[ken] - Correct my erroneous comment about UTF-8 locales in
-	  Man-DB.  Thanks to Alexander for explaining it.</para>
-        </listitem>
-        <listitem>
-	  <para>[ken] - upgraded to Linux-2.6.16.1, Iproute2-2.6.16-060323,
-	  and Udev-088.</para>
+          Man-DB.  Thanks to Alexander for explaining it.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - upgraded to Linux-2.6.16.1, Iproute2-2.6.16-060323,
+          and Udev-088.</para>
         </listitem>
       </itemizedlist>
@@ -81,6 +84,6 @@
         <listitem>
           <para>[ken] - Upgrade to shadow-4.0.15 and add convert-mans script
-	  to convert its UTF-8 man pages.  Thanks to Alexander and Archaic for
-	  the script and commands.  Fixes tickets #1748 and #1750.</para>
+          to convert its UTF-8 man pages.  Thanks to Alexander and Archaic for
+          the script and commands.  Fixes tickets #1748 and #1750.</para>
         </listitem>
       </itemizedlist>
@@ -209,4 +212,8 @@
           <para>[archaic] - Create the Udev directories before creating the
           symlinks.</para>
+        </listitem>
+        <listitem>
+          <para>[jhuntwork] - Added a description of perl configure flags that
+          help perl deal with a lack of groff. Thanks Dan Nicholson.</para>
         </listitem>
       </itemizedlist>
@@ -629,4 +636,14 @@
 
     <listitem>
+      <para>December 16, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jhuntwork]: Move Procps to before Perl in chapter 6. Perl's
+          testsuite uses 'ps'.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 13, 2005</para>
       <itemizedlist>
@@ -815,4 +832,11 @@
           issues and for reviewing the various suggested fixes.</para>
         </listitem>
+        <listitem>
+          <para>[jhuntwork]: Move sed to earlier in the build.</para>
+        </listitem>
+        <listitem>
+          <para>[jhuntwork]: Move m4 to earlier in the build. Thanks
+          Chris Staub.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
@@ -824,4 +848,14 @@
           <para>[matt]: Omit running Bzip2's testsuite as a separate step,
           as <command>make</command> runs it automatically (bug 1652).</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>November 10, 2005</para>
+      <itemizedlist>
+        <listitem>
+          <para>[jhuntwork]: Initial re-ordering of packages. Thanks to
+          Chris Staub (bug 684).</para>
         </listitem>
       </itemizedlist>
Index: chapter05/chapter05.xml
===================================================================
--- chapter05/chapter05.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter05/chapter05.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -24,24 +24,22 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gcc-pass2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="binutils-pass2.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gawk.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ncurses.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bash.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="coreutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bzip2.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gzip.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="diffutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="findutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gawk.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gettext.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="grep.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gzip.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="make.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="grep.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="patch.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sed.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gettext.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="patch.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bash.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="m4.xml"/>
-  <!--<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bison.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="flex.xml"/>-->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="util-linux.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="perl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="stripping.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="changingowner.xml"/>
Index: chapter05/dejagnu.xml
===================================================================
--- chapter05/dejagnu.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter05/dejagnu.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,6 +35,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep,
-        Make, and Sed</seg>
+        <seg>Bash, Binutils, Coreutils, Diffutils, Expect, GCC, Glibc, Grep,
+        Make, Sed, and Tcl</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter05/expect.xml
===================================================================
--- chapter05/expect.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter05/expect.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -36,5 +36,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
-        Sed, and Tcl</seg>
+        Patch, Sed, and Tcl</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/autoconf.xml
===================================================================
--- chapter06/autoconf.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/autoconf.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -54,5 +54,7 @@
     <para>To test the results, issue:
     <userinput>make check</userinput>.
-    This takes a long time, about 2 SBUs.</para>
+    This takes a long time, about 2 SBUs.  In addition, 2 test are skipped
+    that use Automake.  For full test coverage, Autoconf can be re-tested
+    after Automake has been installed.</para>
 
     <para>Install the package:</para>
Index: chapter06/bash.xml
===================================================================
--- chapter06/bash.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/bash.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -34,6 +34,6 @@
 
       <seglistitem>
-        <seg>Binutils, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep, Make,
-        Ncurses, and Sed.</seg>
+        <seg>Binutils, Bison, Coreutils, Diffutils, Gawk, GCC, Glibc, Grep,
+        Make, Ncurses, Readline, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/binutils.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,6 +35,6 @@
 
       <seglistitem>
-        <seg>Bash, Coreutils, Diffutils, GCC, Gettext, Glibc, Grep, M4,
-        Make, Perl, Sed, and Texinfo</seg>
+        <seg>Bash, Coreutils, Diffutils, Expect, GCC, Gettext, Glibc, Grep,
+        Make, Perl, Sed, Tcl, and Texinfo</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/bzip2.xml
===================================================================
--- chapter06/bzip2.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/bzip2.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -37,5 +37,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, and Make</seg>
+        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Patch,
+        and Make</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/chapter06.xml
===================================================================
--- chapter06/chapter06.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/chapter06.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -25,42 +25,40 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gcc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="coreutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="zlib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="iana-etc.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="findutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gawk.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ncurses.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="readline.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="m4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bison.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="less.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="db.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="groff.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ncurses.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sed.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="flex.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gettext.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="inetutils.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="iproute2.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="perl.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="texinfo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="readline.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="zlib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="autoconf.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="automake.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bash.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="file.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="grep.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libtool.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="diffutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="e2fsprogs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="file.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="findutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="flex.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="grub.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gawk.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gettext.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="grep.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="groff.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gzip.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="inetutils.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="iproute2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kbd.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="e2fsprogs.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="grub.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gzip.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="less.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="man-db.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="make.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mktemp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="module-init-tools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="patch.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="procps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="psmisc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="shadow.xml"/>
@@ -68,6 +66,8 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sysvinit.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="tar.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="texinfo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="udev.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="util-linux.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="aboutdebug.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="strippingagain.xml"/>
Index: chapter06/coreutils.xml
===================================================================
--- chapter06/coreutils.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/coreutils.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,6 +35,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc,
-        Grep, Make, Perl, and Sed</seg>
+        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc, Grep,
+        Make, Patch, Perl, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/createfiles.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -16,5 +16,5 @@
   has been installed.</para>
 
-<screen><userinput>ln -sv /tools/bin/{bash,cat,pwd,stty} /bin
+<screen><userinput>ln -sv /tools/bin/{bash,cat,grep,pwd,stty} /bin
 ln -sv /tools/bin/perl /usr/bin
 ln -sv /tools/lib/libgcc_s.so{,.1} /usr/lib
Index: chapter06/flex.xml
===================================================================
--- chapter06/flex.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/flex.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -36,5 +36,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Bison, Coreutils, Diffutils, GCC, Gettext,
-        Glibc, Grep, M4, Make, and Sed</seg>
+        Glibc, Grep, M4, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/gawk.xml
===================================================================
--- chapter06/gawk.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/gawk.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,5 +35,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc,
-        Grep, Make, and Sed</seg>
+        Grep, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/gcc.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,6 +35,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Coreutils, Diffutils, Findutils, Gawk, Gettext,
-        Glibc, Grep, Make, Perl, Sed, and Texinfo</seg>
+        <seg>Bash, Binutils, Coreutils, DejaGNU, Diffutils, Findutils, Expect,
+        Gawk, Gettext, Glibc, Grep, Make, Patch, Perl, Sed, Tcl, and Texinfo</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/gzip.xml
===================================================================
--- chapter06/gzip.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/gzip.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -36,5 +36,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
-        and Sed</seg>
+        Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/iana-etc.xml
===================================================================
--- chapter06/iana-etc.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/iana-etc.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,5 +35,5 @@
 
       <seglistitem>
-        <seg>Make</seg>
+        <seg>Coreutils, Gawk, and Make</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/inetutils.xml
===================================================================
--- chapter06/inetutils.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/inetutils.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,5 +35,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Glibc, Grep, Make,
-        Ncurses, and Sed</seg>
+        Ncurses, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/kbd.xml
===================================================================
--- chapter06/kbd.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/kbd.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,5 +35,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Bison, Coreutils, Diffutils, Flex, GCC, Gettext,
-        Glibc, Grep, Gzip, M4, Make, and Sed</seg>
+        Glibc, Grep, Gzip, M4, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/linux-libc-headers.xml
===================================================================
--- chapter06/linux-libc-headers.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/linux-libc-headers.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,5 +35,5 @@
 
       <seglistitem>
-        <seg>Coreutils</seg>
+        <seg>Coreutils and Findutils</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/mktemp.xml
===================================================================
--- chapter06/mktemp.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/mktemp.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,5 +35,5 @@
 
       <seglistitem>
-        <seg>Coreutils, Make, and Patch</seg>
+        <seg>Coreutils, Make, Patch, and Zlib</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/module-init-tools.xml
===================================================================
--- chapter06/module-init-tools.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/module-init-tools.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -36,5 +36,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Bison, Coreutils, Diffutils, Flex, GCC, Glibc,
-        Grep, M4, Make, and Sed</seg>
+        Grep, M4, Make, Sed, and Zlib</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/perl.xml
===================================================================
--- chapter06/perl.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/perl.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -36,5 +36,5 @@
       <seglistitem>
         <seg>Bash, Berkeley DB, Binutils, Coreutils, Diffutils, Gawk, GCC,
-        Glibc, Grep, Make, and Sed</seg>
+        Glibc, Grep, Iana-Etc, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
@@ -56,5 +56,8 @@
     prepare Perl for compilation with:</para>
 
-<screen><userinput>./configure.gnu --prefix=/usr -Dpager="/usr/bin/less -isR"</userinput></screen>
+<screen><userinput>./configure.gnu --prefix=/usr \
+    -Dman1dir=/usr/share/man/man1 \
+    -Dman3dir=/usr/share/man/man3 \
+    -Dpager="/usr/bin/less -isR"</userinput></screen>
 
     <variablelist>
@@ -66,4 +69,14 @@
           <para>This corrects an error in the way that <command>perldoc</command>
           invokes the <command>less</command> program.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
+        <term><parameter>-Dman1dir=/usr/share/man/man1
+        -Dman3dir=/usr/share/man/man3</parameter></term>
+        <listitem>
+          <para>Since Groff is not installed yet, <command>Configure</command>
+          thinks that we do not want man pages for Perl.  Issuing these
+          parameters overrides this decision.</para>
         </listitem>
       </varlistentry>
Index: chapter06/sed.xml
===================================================================
--- chapter06/sed.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/sed.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,5 +35,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc,
-        Grep, Make, and Texinfo</seg>
+        Grep, Make, Sed, and Texinfo</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/sysklogd.xml
===================================================================
--- chapter06/sysklogd.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/sysklogd.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,5 +35,5 @@
 
       <seglistitem>
-        <seg>Binutils, Coreutils, GCC, Glibc, Make</seg>
+        <seg>Binutils, Coreutils, GCC, Glibc, Make, and Patch</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/sysvinit.xml
===================================================================
--- chapter06/sysvinit.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/sysvinit.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -34,5 +34,5 @@
 
       <seglistitem>
-        <seg>Binutils, Coreutils, GCC, Glibc, and Make</seg>
+        <seg>Binutils, Coreutils, GCC, Glibc, Make, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/tar.xml
===================================================================
--- chapter06/tar.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/tar.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -34,6 +34,6 @@
 
       <seglistitem>
-        <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc,
-        Grep, Make, and Sed</seg>
+        <seg>Bash, Bzip2, Binutils, Coreutils, Diffutils, GCC, Gettext,
+        Glibc, Gzip, Grep, Make, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/texinfo.xml
===================================================================
--- chapter06/texinfo.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/texinfo.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -36,5 +36,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc,
-        Grep, Make, Ncurses, and Sed</seg>
+        Grep, Make, Ncurses, Patch, and Sed</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/udev.xml
===================================================================
--- chapter06/udev.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/udev.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -35,5 +35,5 @@
 
       <seglistitem>
-        <seg>Coreutils and Make</seg>
+        <seg>Coreutils, GCC, Make, and Perl</seg>
       </seglistitem>
     </segmentedlist>
Index: chapter06/util-linux.xml
===================================================================
--- chapter06/util-linux.xml	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ chapter06/util-linux.xml	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -37,5 +37,5 @@
       <seglistitem>
         <seg>Bash, Binutils, Coreutils, Diffutils, GCC, Gettext, Glibc,
-        Grep, Make, Ncurses, Sed, and Zlib</seg>
+        Grep, Make, Ncurses, Patch, Sed, and Zlib</seg>
       </seglistitem>
     </segmentedlist>
Index: general.ent
===================================================================
--- general.ent	(revision 26e2ce40edb4414e26c263ee13726ddfdebe775c)
+++ general.ent	(revision 9cdcfb1db15e6af81579e0d10fe6aeb1cb5461f9)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
-<!ENTITY version "udev_update-20060402">
-<!ENTITY releasedate "April 2, 2006">
+<!ENTITY version "udev_update-20060407">
+<!ENTITY releasedate "April 7, 2006">
 <!ENTITY milestone "6.2">
 <!ENTITY generic-version "udev_update"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->