Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 3333b6473d706985a7613108a51a627b9b33d75f)
+++ chapter01/changelog.xml	(revision 12a27da73005362f481354d368781b8d9761c72e)
@@ -44,4 +44,46 @@
        -->
 
+    <listitem>
+      <para>2019-07-14</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Fix testing of binutils-2.32 gold linker. Fixes
+          <ulink url="&lfs-ticket-root;4498">#4498</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2019b. Fixes
+          <ulink url="&lfs-ticket-root;4492">#4492</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to python3-3.7.4. Fixes
+          <ulink url="&lfs-ticket-root;4496">#4496</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.51.1. Fixes
+          <ulink url="&lfs-ticket-root;4497">#4497</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-5.2.0. Fixes
+          <ulink url="&lfs-ticket-root;4495">#4495</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to grub-2.04. Fixes
+          <ulink url="&lfs-ticket-root;4494">#4494</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.2.1. Fixes
+          <ulink url="&lfs-ticket-root;4493">#4493</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-2.1.0. Fixes
+          <ulink url="&lfs-ticket-root;4436">#4436</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bzip2-1.0.8. Fixes
+          <ulink url="&lfs-ticket-root;4499">#4499</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem revision="systemd">
       <para>2019-07-12</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 3333b6473d706985a7613108a51a627b9b33d75f)
+++ chapter01/whatsnew.xml	(revision 12a27da73005362f481354d368781b8d9761c72e)
@@ -42,7 +42,7 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Bc &bc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Binutils-&binutils-version;</para>
@@ -117,7 +117,7 @@
       <para>Groff-&groff-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>GRUB-&grub-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Gzip-&gzip-version;</para>
Index: chapter06/bc.xml
===================================================================
--- chapter06/bc.xml	(revision 3333b6473d706985a7613108a51a627b9b33d75f)
+++ chapter06/bc.xml	(revision 12a27da73005362f481354d368781b8d9761c72e)
@@ -41,5 +41,5 @@
   <sect2 role="installation">
     <title>Installation of Bc</title>
-
+<!--
     <para>First, change an internal script to use <command>sed</command> instead 
     of <command>ed</command>:</para>
@@ -70,17 +70,19 @@
 
 <screen><userinput remap="pre">sed -i -e '/flex/s/as_fn_error/: ;; # &amp;/' configure</userinput></screen>
-
+-->
     <para>Prepare Bc for compilation:</para>
-
-<screen><userinput remap="configure">./configure --prefix=/usr           \
-            --with-readline         \
-            --mandir=/usr/share/man \
-            --infodir=/usr/share/info</userinput></screen>
+<!--
+<screen><userinput remap="configure">./configure - -prefix=/usr           \
+            - -with-readline         \
+            - -mandir=/usr/share/man \
+            - -infodir=/usr/share/info</userinput></screen>
+-->
+<screen><userinput remap="configure">PREFIX=/usr CC=gcc CFLAGS="-std=c99" ./configure.sh -G -O3</userinput></screen>
 
     <variablelist>
       <title>The meaning of the configure options:</title>
-
+<!--
       <varlistentry>
-        <term><parameter>--with-readline</parameter></term>
+        <term><parameter>- -with-readline</parameter></term>
         <listitem>
           <para>This option tells Bc to use the <filename
@@ -90,5 +92,19 @@
         </listitem>
       </varlistentry>
+-->
+      <varlistentry>
+        <term><parameter>CC=gcc CFLAGS="-std=c99"</parameter></term>
+        <listitem>
+          <para>These parameters specify the compiler and C standard to use.</para>
+        </listitem>
+      </varlistentry>
 
+      <varlistentry>
+        <term><parameter>-G -O3</parameter></term>
+        <listitem>
+          <para>These parameters specify the optimization to use. Debug symbols 
+          will be retained.</para>
+        </listitem>
+      </varlistentry>
     </variablelist>
 
@@ -96,5 +112,5 @@
 
 <screen><userinput remap="make">make</userinput></screen>
-
+<!--
     <para>To test bc, run the commands below. There is quite a bit of output,
     so you may want to redirect it to a file. There are a very small percentage
@@ -103,4 +119,10 @@
 
 <screen><userinput remap="test">echo "quit" | ./bc/bc -l Test/checklib.b</userinput></screen>
+-->
+
+    <para>To test bc, run:</para>
+
+<screen><userinput remap="test">make test</userinput></screen>
+
 
     <para>Install the package:</para>
Index: chapter06/binutils.xml
===================================================================
--- chapter06/binutils.xml	(revision 3333b6473d706985a7613108a51a627b9b33d75f)
+++ chapter06/binutils.xml	(revision 12a27da73005362f481354d368781b8d9761c72e)
@@ -57,4 +57,9 @@
 <screen><computeroutput>The system has no more ptys.
 Ask your system administrator to create more.</computeroutput></screen>
+
+    <para>Now remove one test that prevents the tests from running
+    to completion:</para>
+
+<screen><userinput remap="pre">sed -i '/@\tincremental_copy/d' gold/testsuite/Makefile.in</userinput></screen>
 
     <para>The Binutils documentation recommends building Binutils 
@@ -153,5 +158,6 @@
 <screen><userinput remap="test">make -k check</userinput></screen>
 
-    <para>One test, debug_msg.sh, is known to fail.</para>
+    <para>The PC-relative offset test and  
+    the debug_msg.sh test may fail in the LFS environment.</para>
 
     <para>Install the package:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 3333b6473d706985a7613108a51a627b9b33d75f)
+++ general.ent	(revision 12a27da73005362f481354d368781b8d9761c72e)
@@ -1,15 +1,15 @@
-<!ENTITY version         "SVN-20190712">
+<!ENTITY version         "SVN-20190714">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190712-systemd">
+<!ENTITY versiond        "20190714-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "July 12th, 2019">
+<!ENTITY releasedate     "July 14th, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
-<!ENTITY milestone       "8.5">
+<!ENTITY milestone       "9.0">
 
 <!ENTITY lfs-root        "http://www.linuxfromscratch.org/">
Index: packages.ent
===================================================================
--- packages.ent	(revision 3333b6473d706985a7613108a51a627b9b33d75f)
+++ packages.ent	(revision 12a27da73005362f481354d368781b8d9761c72e)
@@ -51,8 +51,8 @@
 <!ENTITY bash-ch6-sbu "1.7 SBU">
 
-<!ENTITY bc-version "1.07.1">
-<!ENTITY bc-size "411 KB">
-<!ENTITY bc-url "&gnu;bc/bc-&bc-version;.tar.gz">
-<!ENTITY bc-md5 "cda93857418655ea43590736fc3ca9fc">
+<!ENTITY bc-version "2.1.0">
+<!ENTITY bc-size "151 KB">
+<!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
+<!ENTITY bc-md5 "40e5f6e6d9231c80d4be19d820c5b649">
 <!ENTITY bc-home "&gnu-software;bc/">
 <!ENTITY bc-ch6-du "4.1 MB">
@@ -81,8 +81,8 @@
 <!ENTITY bison-ch6-sbu "0.3 SBU">
 
-<!ENTITY bzip2-version "1.0.7">
-<!ENTITY bzip2-size "791 KB">
+<!ENTITY bzip2-version "1.0.8">
+<!ENTITY bzip2-size "792 KB">
 <!ENTITY bzip2-url "https://www.sourceware.org/pub/bzip2/bzip2-&bzip2-version;.tar.gz">
-<!ENTITY bzip2-md5 "1a6a61cc867be4f3d6549037a09bf13e">
+<!ENTITY bzip2-md5 "67e051268d0c475ea773822f7500d0e5">
 <!--<!ENTITY bzip2-home "http://www.bzip.org/">-->
 <!ENTITY bzip2-ch5-du "5.5 MB">
@@ -308,8 +308,8 @@
 <!ENTITY groff-ch6-sbu "0.4 SBU">
 
-<!ENTITY grub-version "2.02">
-<!ENTITY grub-size "5,970 KB">
+<!ENTITY grub-version "2.04">
+<!ENTITY grub-size "6,245 KB">
 <!ENTITY grub-url "https://ftp.gnu.org/gnu/grub/grub-&grub-version;.tar.xz">
-<!ENTITY grub-md5 "8a4a2a95aac551fb0fba860ceabfa1d3">
+<!ENTITY grub-md5 "5aaca6713b47ca2456d8324a58755ac7">
 <!ENTITY grub-home "&gnu-software;grub/">
 <!ENTITY grub-ch6-du "147 MB">
@@ -350,8 +350,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.1.0">
-<!ENTITY iproute2-size "706 KB">
+<!ENTITY iproute2-version "5.2.0">
+<!ENTITY iproute2-size "713 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "a2b8349abf4ae00e92155fda22de4d5e">
+<!ENTITY iproute2-md5 "0cb2736e7bc2f56254a363d3d23703b7">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "13 MB">
@@ -423,11 +423,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "1">
-<!ENTITY linux-patch-version "15">
+<!ENTITY linux-minor-version "2">
+<!ENTITY linux-patch-version "1">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "103,784 KB">
+<!ENTITY linux-size "104,521 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "373a50ac09f662469fe1c699b2cb2520">
+<!ENTITY linux-md5 "e839936920f433c394bb23e6c9312c68">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -478,8 +478,8 @@
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.51.0">
-<!ENTITY meson-size "1,416 KB">
+<!ENTITY meson-version "0.51.1">
+<!ENTITY meson-size "1,418 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "a091995861e0bc23e3c856b0c8d1ef90">
+<!ENTITY meson-md5 "48787e391ec5c052799a3dd491f73909">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-ch6-du "24 MB">
@@ -575,9 +575,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.7.3">
+<!ENTITY python-version "3.7.4">
 <!ENTITY python-minor "3.7">
-<!ENTITY python-size "16,708 KB">
+<!ENTITY python-size "16,730 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "93df27aec0cd18d6d42173e601ffbbfd">
+<!ENTITY python-md5 "d33e4aae66097051c2eca45ee3604803">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-ch5-du "371 MB">
@@ -586,6 +586,6 @@
 <!ENTITY python-ch6-sbu "1.0 SBU">
 <!ENTITY python-docs-url "https://docs.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "48ed2b9e97e83f4d0966f305b8e04aa4">
-<!ENTITY python-docs-size "6,079 KB">
+<!ENTITY python-docs-md5 "c410337e954dbba2d04fe169c355a6a2">
+<!ENTITY python-docs-size "6,068 KB">
 
 <!ENTITY readline-version "8.0">
@@ -676,8 +676,8 @@
 <!ENTITY texinfo-ch6-sbu "0.9 SBU">
 
-<!ENTITY tzdata-version "2019a">
-<!ENTITY tzdata-size "371 KB">
+<!ENTITY tzdata-version "2019b">
+<!ENTITY tzdata-size "376 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "288f7b1e43018c633da108f13b27cf91">
+<!ENTITY tzdata-md5 "b26b5d7d844cb96c73ed2fb6d588daaf">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
Index: prologue/bookinfo.xml
===================================================================
--- prologue/bookinfo.xml	(revision 3333b6473d706985a7613108a51a627b9b33d75f)
+++ prologue/bookinfo.xml	(revision 12a27da73005362f481354d368781b8d9761c72e)
@@ -10,4 +10,5 @@
   <subtitle revision='sysv'   >Version &version; </subtitle>
   <subtitle revision='systemd'>Version &versiond;</subtitle>
+  <subtitle>Published &releasedate;</subtitle>
 
   <authorgroup>